ZITADEL Docs
APIsCore ResourcesV2Project

Update Project Grant

Change the roles of the project that is granted to another organization. The project grant will allow the granted organization to access the project and manage the authorizations for its users.

Required permission:

  • project.grant.write
POST
/zitadel.project.v2.ProjectService/UpdateProjectGrant

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/zitadel.project.v2.ProjectService/UpdateProjectGrant" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{    "projectId": "string",    "grantedOrganizationId": "string"  }'
{
  "changeDate": "2023-01-15T01:30:15.01Z"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}

Was this page helpful?